{
  "_from": "ignore@^5.1.4",
  "_id": "ignore@5.1.8",
  "_inBundle": false,
  "_integrity": "sha512-BMpfD7PpiETpBl/A6S498BaIJ6Y/ABT93ETbby2fP00v4EbvPBXWEoaR1UBPKs3iR53pJY7EtZk5KACI57i1Uw==",
  "_location": "/ignore",
  "_phantomChildren": {},
  "_requested": {
    "type": "range",
    "registry": true,
    "raw": "ignore@^5.1.4",
    "name": "ignore",
    "escapedName": "ignore",
    "rawSpec": "^5.1.4",
    "saveSpec": null,
    "fetchSpec": "^5.1.4"
  },
  "_requiredBy": [
    "/globby",
    "/stylelint",
    "/stylelint-config-rational-order/stylelint",
    "/stylelint-declaration-use-variable/stylelint"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/ignore/-/ignore-5.1.8.tgz",
  "_shasum": "f150a8b50a34289b33e22f5889abd4d8016f0e57",
  "_spec": "ignore@^5.1.4",
  "_where": "/root/farzoom/eco-ebg/node_modules/globby",
  "author": {
    "name": "kael"
  },
  "bugs": {
    "url": "https://github.com/kaelzhang/node-ignore/issues"
  },
  "bundleDependencies": false,
  "deprecated": false,
  "description": "Ignore is a manager and filter for .gitignore rules, the one used by eslint, gitbook and many others.",
  "devDependencies": {
    "@babel/cli": "^7.8.4",
    "@babel/core": "^7.9.6",
    "@babel/preset-env": "^7.9.6",
    "codecov": "^3.7.0",
    "debug": "^4.1.1",
    "eslint": "^7.0.0",
    "eslint-config-ostai": "^3.0.0",
    "eslint-plugin-import": "^2.20.2",
    "mkdirp": "^1.0.4",
    "pre-suf": "^1.1.1",
    "rimraf": "^3.0.2",
    "spawn-sync": "^2.0.0",
    "tap": "^14.10.7",
    "tmp": "0.2.1",
    "typescript": "^3.9.3"
  },
  "engines": {
    "node": ">= 4"
  },
  "files": [
    "legacy.js",
    "index.js",
    "index.d.ts",
    "LICENSE-MIT"
  ],
  "homepage": "https://github.com/kaelzhang/node-ignore#readme",
  "keywords": [
    "ignore",
    ".gitignore",
    "gitignore",
    "npmignore",
    "rules",
    "manager",
    "filter",
    "regexp",
    "regex",
    "fnmatch",
    "glob",
    "asterisks",
    "regular-expression"
  ],
  "license": "MIT",
  "name": "ignore",
  "repository": {
    "type": "git",
    "url": "git+ssh://git@github.com/kaelzhang/node-ignore.git"
  },
  "scripts": {
    "build": "babel -o legacy.js index.js",
    "posttest": "tap --coverage-report=html && codecov",
    "prepublishOnly": "npm run build",
    "test": "npm run test:only",
    "test:cases": "tap test/*.js --coverage",
    "test:git": "tap test/git-check-ignore.js",
    "test:ignore": "tap test/ignore.js",
    "test:lint": "eslint .",
    "test:only": "npm run test:lint && npm run test:tsc && npm run test:ts && npm run test:cases",
    "test:others": "tap test/others.js",
    "test:ts": "node ./test/ts/simple.js",
    "test:tsc": "tsc ./test/ts/simple.ts --lib ES6",
    "test:win32": "IGNORE_TEST_WIN32=1 npm run test"
  },
  "version": "5.1.8"
}
